GJOTS2DOCBOOK(1)

NAME
gjots2docbook - Convert a gjotsfile to DOCBOOK (on stdout)

SYNOPSIS
gjots2docbook -a|-b [ -e ] [ -P ] [ -p ] [ gjotsfile ]

DESCRIPTION
gjots2docbook converts a gjotsfile into DOCBOOK XML.

gjots2docbook uses awk(1) to perform the conversion.

gjots2docbook does not create them so the first element in the file should contain any <bookinfo> or <artheader> element. Similarly, <bibliographic> elements are not created. In fact the output is very simplistic with item titles in the gjotsfile being converted to chapter or section headings in DOCBOOK. There is no reason why your gjotsfile should not contain valid DOCBOOK XML - and that is why the -e and -p options are provided.

If the file does not start with <?xml ...> then appropriate lines will be added as follows:

    <?xml version="1.0" encoding="UTF-8"?>
    <!DOCTYPE doc_type PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN">

If properly installed, the docbook utilities can then be used to create HTML, man, ps, pdf etc files eg:

    gjots2docbook -b ~/.gjotsfile >gjotsfile.xml
    docbook2pdf gjotsfile.xml

It may be necessary to fine-tune the docbook formatting to access all features.

OPTIONS

-a  makes a DOCBOOK article

-b  makes a DOCBOOK book

-e  don't encode special characters eg < -> &lt;

-p  don't change blank lines to </para><para> markers

-P  first section is a preface rather than a chapter (book only)

AUTHOR
Written by Bob Hepple <bhepple@freeshell.org>

http://bhepple.freeshell.org/gjots

COPYRIGHT
Copyright (c) 2002 Robert Hepple
This is free software; see the source for copying condi­ tions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
gjots(1), gjots2html(1), docbook2gjots(1)